package com.huimv.video.video.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.video.video.entity
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/9/26 0026 14:13
 **/
@Data
@Accessors(chain = true)
@TableName("public_network")
public class PublicNetwork {

    @TableId(value = "id")
    private Integer id;

    private String url;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date creationTime;

    private String remark;

    private Integer farmId;


}
