package com.huimv.produce.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.produce.produce.service.IWeightInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-03-30
 */
@RestController
@RequestMapping("/weightInformation")
public class WeightInformationController {

    @Autowired
    private IWeightInformationService weightInformationService;


    @PostMapping("/pageWeight")
    public Result pageWeight(@RequestBody Map<String,String> map){

        return weightInformationService.pageWeight(map);

    }

    @PostMapping("/dayWeight")
    public Result dayWeight(@RequestBody Map<String,String> map){

        return weightInformationService.dayWeight(map);

    }

}
