package com.huimv.produce.produce.service;



import com.huimv.common.utils.Result;

import java.text.ParseException;
import java.util.Date;

public interface IWeight {

    Result getEggWeightDetails() throws ParseException;

    //查询称重
    Result getDayWeight(Integer farmId, String startDate, String endDate);

    //查询近几次卖猪记录
    Result getDayWeightLastNtimes(Integer farmId, Integer days);

    //分页查询称重记录
    Result getWeightOnPage(Integer farmId, Date startDate, Date endDate, Integer pageNo, Integer pageSize);

    //分页查询批次称重记录
    Result getBatchWeightOnPage(Integer farmId, Date parseDate, Integer pageNo, Integer pageSize);

    //分页查询批次称重记录
    Result getBatchWeightOnPage(Integer farmId, Date parseDate, Date parseDate1, Integer pageNo, Integer pageSize) throws ParseException;

    Result getBatchWeightOnPage2(Integer farmId, Date startDate, Date endDate, Integer pageNo, Integer pageSize) throws ParseException;

    Result getEveryTimeWeightOnPage(Integer farmId, Date startDate, Date endDate, Integer pageNo, Integer pageSize) throws ParseException;

    Result getBatchWeightOnPage3(Integer farmId, Date parseDate, Date parseDate1, Integer pageNo, Integer pageSize);

    Result getBatchWeightOnPage4(Integer farmId, String startDate, String endDate, Integer pageNo, Integer pageSize);

    Result getManyDayWeight(Integer days, String poundType);

//    Result getWeightDetails(String poundType, String carNumber, String consigner, String consignee, String variety, String startDate,String endDate, String date);

    Result getWeightDetails(String poundType, String carNumber, String consigner, String consignee, String variety, Date startDate, Date endDate, Integer pageNo, Integer pageSize);
}
